Bug 58335

Summary: mod_authnz_ldap mismatch
Product: Apache httpd-2 Reporter: Brian LaVallee <brian.lavallee>
Component: mod_authnz_ldapAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate
Priority: P2    
Version: 2.2.15   
Target Milestone: ---   
Hardware: PC   
OS: Mac OS X 10.1   
Attachments: Debug Files

Description Brian LaVallee 2015-09-07 06:13:12 UTC
I have run into a strange issue.  Usernames with a period (fname.lname) will fail authentication.  Result is a password mismatch.  

Usernames without a period (lname), authenticate properly.

The credentials used are correct, tested with other methods against the LDAP server.  The LDAP configuration is correct, single word users do not have any issues.  

It's just usernames with a period that will not authenticate.


[timestamp] [error] [client x.x.x.x] user fname.lname: authentication failure for "/": Password Mismatch


Environment:
CentOS 6.7 64-Bit
httpd installed via yum
Comment 1 Christophe JAILLET 2015-09-08 04:27:17 UTC
Hi,

could you please provide Log at DEBUG Loglevel?
Comment 2 Brian LaVallee 2015-09-09 02:27:35 UTC
Created attachment 33084 [details]
Debug Files

Attached are the log files, plus the htaccess file used.

Capitalized items have replaced private information.

As you can see, USERNAME could authenticate.
Debug shows, check user credentials failed for FNAME.LNAME
Comment 3 Brian LaVallee 2015-09-09 02:35:26 UTC
BTW, using escape character before the period doesn't work.

[Tue Sep 08 04:32:16 2015] [info] [client 192.168.197.1] [1902] auth_ldap authenticate: user FNAME\\.LNAME authentication failed; URI / [User not found][No such object]
Comment 4 William A. Rowe Jr. 2018-11-07 21:09:13 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.